Create
curl --request POST \
--url https://api.qa.sima.ag/app_dev.php/api/v3/third_party/campaigns \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-SIMA-SYSTEM-ID: <api-key>' \
--data '
"{\n \"plot_id\": {{new_plot}},\n \"master_campaign_id\": {{master_campaign_id}},\n \"schedule_planting_date\": \"2026-03-04T17:18:47-03:00\",\n \"planting_distance\": 52,\n \"formulated_id\": null,\n \"maturity_group_id\": 1,\n \"planting_system_id\": 1,\n \"planting_objective_area_ha\": 78,\n \"objective_yield_kg_ha\": 4200,\n \"external_code\": null\n}"
'import requests
url = "https://api.qa.sima.ag/app_dev.php/api/v3/third_party/campaigns"
payload = "{
\"plot_id\": {{new_plot}},
\"master_campaign_id\": {{master_campaign_id}},
\"schedule_planting_date\": \"2026-03-04T17:18:47-03:00\",
\"planting_distance\": 52,
\"formulated_id\": null,
\"maturity_group_id\": 1,
\"planting_system_id\": 1,
\"planting_objective_area_ha\": 78,
\"objective_yield_kg_ha\": 4200,
\"external_code\": null
}"
headers = {
"Authorization": "Bearer <token>",
"X-SIMA-SYSTEM-ID": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-SIMA-SYSTEM-ID': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify('{\n "plot_id": {{new_plot}},\n "master_campaign_id": {{master_campaign_id}},\n "schedule_planting_date": "2026-03-04T17:18:47-03:00",\n "planting_distance": 52,\n "formulated_id": null,\n "maturity_group_id": 1,\n "planting_system_id": 1,\n "planting_objective_area_ha": 78,\n "objective_yield_kg_ha": 4200,\n "external_code": null\n}')
};
fetch('https://api.qa.sima.ag/app_dev.php/api/v3/third_party/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.sima.ag/app_dev.php/api/v3/third_party/campaigns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode('{
"plot_id": {{new_plot}},
"master_campaign_id": {{master_campaign_id}},
"schedule_planting_date": "2026-03-04T17:18:47-03:00",
"planting_distance": 52,
"formulated_id": null,
"maturity_group_id": 1,
"planting_system_id": 1,
"planting_objective_area_ha": 78,
"objective_yield_kg_ha": 4200,
"external_code": null
}'),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-SIMA-SYSTEM-ID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}Version 3 > Campaign
Create
POST
/
app_dev.php
/
api
/
v3
/
third_party
/
campaigns
Create
Authorizations
access_token obtenido via POST /api/v2/login
Identificador del sistema integrador (8 para Third-Party API)
Body
application/json
The body is of type object.
Response
200 - application/json
Successful response

